PUT /api/v3/inventory-items/{lcuid}¶
Summary¶
PUT /inventory-items/{lcuid}
Description¶
Update an existing inventory item
Note that your application requires the Inventory Builder Application Capability in order to update inventory items. This Capability is enabled in the Capabilities section of your Application
In addition, the inventory-item you wish to update, must have been created by your application
Tags: inventory-items
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Request Body¶
Required: Yes
Content Type: application/json¶
Schema¶
Type: object
Required fields: title
Properties:
title(string) (required): The title of the inventory item.description(string): Description of the item.new_used(integer): Whether or not you classify this item as new or used ( 1 = new, 0 = used).price(number): The price of the item.price_modifier(string): The price modifier of the item See Inventory Item Price Modifiers.year(integer): Year this item was made.make(string): Make or Manufacturer of this item.model(string): Model of this item.sub_model(string): Sub Model of this item.external_link(string): External website URI that points to this item. Must be a valid URL.inventory_attributes(object): A set of custom, vendor supplied key/value pairs to store additional data about this item.
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)inventory_item(object) Type:object
Properties:
unique_id(string)title(string)description(string)new_used(integer)year(string)make(string)model(string)sub_model(string)price(number)price_original(string)price_modifier(string)external_link(string)status(integer)item_class(string)creative_state(integer)lcuid(string)created_at(string)updated_at(string)deleted_at(string)has_price_override(boolean)price_upstream(integer)-
account(object) Type:objectProperties:
name(string)lcuid(string)
-
creatives(array) image_assets(array)-
application(object) Type:objectProperties:
name(string)application_class_description(string)lcuid(string)
-
options(object) Type:objectProperties:
best_creative_image_photo_url(string)first_play_at(string)primary_image_background_removed_public_url(string)primary_image_public_url(string)
-
cached_tags(string) -
attributes(object) Type:objectProperties:
size(string)color(string)
-
data_source(string) campaign_settings(string)
Example Response¶
{
"success": true,
"inventory_item": {
"unique_id": "WkUoJb5iKE",
"title": "Test Inventory Item",
"description": "This is a test inventory item",
"new_used": 0,
"year": null,
"make": "Some Make",
"model": "Some Model",
"sub_model": "Some Sub Model",
"price": 1054.23,
"price_original": "4247.00",
"price_modifier": null,
"external_link": "https://www.example.com/WkUoJb5iKE",
"status": 1,
"item_class": "App\\LuCore\\InventoryItems\\GenericInventoryItemClass",
"creative_state": 1,
"lcuid": "LCUID-LI-4ea788b1-57a9-4757-beb7-3bcbee40c26d",
"created_at": "2026-01-07T00:15:17.000000Z",
"updated_at": "2026-01-07T00:15:18.000000Z",
"deleted_at": null,
"has_price_override": true,
"price_upstream": 4247,
"account": {
"name": "Blue River Real Estate",
"lcuid": "LCUID-LA-363a8685-9248-4ed4-adc0-0dca49ee48a5"
},
"creatives": [],
"image_assets": [],
"application": {
"name": "Unit Test Application - ycb0fi0f8x",
"application_class_description": "",
"lcuid": "LCUID-LAP-b7494071-0e4d-4ac9-81ed-f5b36d604d36"
},
"options": {
"best_creative_image_photo_url": null,
"first_play_at": null,
"primary_image_background_removed_public_url": null,
"primary_image_public_url": null
},
"cached_tags": null,
"attributes": {
"size": "large",
"color": "red"
},
"data_source": null,
"campaign_settings": null
}
}
Example Implementations¶
Bash (cURL)¶
curl --request PUT \
"https://api.lucit.app/api/v3/inventory-items/LCUID-LI-989f75f4-8cdd-4e09-a93b-0478660da53a" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************" \
--data "{
\"title\": \"My Inventory Item\",
\"description\": \"Temporibus fugit est illo maiores cupiditate.\",
\"new_used\": 1,
\"price\": 100,
\"price_modifier\": \"obo\",
\"year\": 2019,
\"make\": \"Ford or Samsung\",
\"model\": \"F150 or Galaxy S10\",
\"sub_model\": \"XLT or 128GB\",
\"external_link\": \"https:\\/\\/www.yourcompany.com\\/product\\/1234546\"
}"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/inventory-items/LCUID-LI-989f75f4-8cdd-4e09-a93b-0478660da53a"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
let body = {
"title": "My Inventory Item",
"description": "Temporibus fugit est illo maiores cupiditate.",
"new_used": 1,
"price": 100,
"price_modifier": "obo",
"year": 2019,
"make": "Ford or Samsung",
"model": "F150 or Galaxy S10",
"sub_model": "XLT or 128GB",
"external_link": "https:\/\/www.yourcompany.com\/product\/1234546"
};
fetch(url, {
method: "PUT",
headers,
body: JSON.stringify(body),
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->put(
'https://api.lucit.app/api/v3/inventory-items/LCUID-LI-989f75f4-8cdd-4e09-a93b-0478660da53a',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
'json' => [
'title' => 'My Inventory Item',
'description' => 'Temporibus fugit est illo maiores cupiditate.',
'new_used' => 1,
'price' => 100.0,
'price_modifier' => 'obo',
'year' => 2019,
'make' => 'Ford or Samsung',
'model' => 'F150 or Galaxy S10',
'sub_model' => 'XLT or 128GB',
'external_link' => 'https://www.yourcompany.com/product/1234546',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/inventory-items/LCUID-LI-989f75f4-8cdd-4e09-a93b-0478660da53a'
payload = {
"title": "My Inventory Item",
"description": "Temporibus fugit est illo maiores cupiditate.",
"new_used": 1,
"price": 100,
"price_modifier": "obo",
"year": 2019,
"make": "Ford or Samsung",
"model": "F150 or Galaxy S10",
"sub_model": "XLT or 128GB",
"external_link": "https:\/\/www.yourcompany.com\/product\/1234546"
}
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('PUT', url, headers=headers, json=payload)
response.json()